export function getObjectEntryByKey(key: string, data: { [key: string]: any }): any | undefined {
  let entry = data;
  for (const part of key.split('.')) {
    if ((entry = entry[part]) === undefined) {
      return undefined;
    }
  }
  return entry;
}
